cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"checklist": {
"name": "Measure and mark the fence line"
}
}'from exsited import build_client
client = build_client()
response = client.tasks.update_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
{"checklist": {"name": "Measure and mark the fence line"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
{checklist: {name: 'Measure and mark the fence line'}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
['checklist' => ['name' => 'Measure and mark the fence line']],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().updateTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
Map.of("checklist", Map.of("name", "Measure and mark the fence line")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.UpdateTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
new Dictionary<string, object?>
{
["checklist"] = new Dictionary<string, object?>
{
["name"] = "Measure and mark the fence line",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
{
'checklist': {'name': 'Measure and mark the fence line'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().UpdateTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", map[string]any{
"checklist": map[string]any{"name": "Measure and mark the fence line"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"activity_logs": [
{
"activity": "<string>"
}
],
"actual_hours": null,
"alerts": "<array>",
"assignees": {
"manually_added_account_contacts": "<array>",
"selected_account_contacts": "<array>",
"selected_employees": [
{
"display_order": 123,
"email": "<string>",
"employee_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_labours": [
{
"display_order": 123,
"email": "<string>",
"labour_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_operators": "<array>"
},
"checklist": "<array>",
"code": "<string>",
"completed_at": "<string>",
"completed_by": {
"name": "<string>",
"object": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"due_date": "<string>",
"estimated_hours": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"milestone": null,
"name": "<string>",
"object": "<string>",
"parent_task": null,
"priority": "<string>",
"resource": null,
"sort_order": 123,
"start_after": null,
"start_date": "<string>",
"state": null,
"status": "<string>",
"task_status": "<string>",
"version": 123,
"workflow": null
}
}Tasks
Update a checklist item
Changes one checklist item and returns the task.
PATCH
/
tasks
/
{task_id}
/
checklist
/
{task_checklist_uuid}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"checklist": {
"name": "Measure and mark the fence line"
}
}'from exsited import build_client
client = build_client()
response = client.tasks.update_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
{"checklist": {"name": "Measure and mark the fence line"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
{checklist: {name: 'Measure and mark the fence line'}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
['checklist' => ['name' => 'Measure and mark the fence line']],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().updateTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
Map.of("checklist", Map.of("name", "Measure and mark the fence line")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.UpdateTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b",
new Dictionary<string, object?>
{
["checklist"] = new Dictionary<string, object?>
{
["name"] = "Measure and mark the fence line",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.updateTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
{
'checklist': {'name': 'Measure and mark the fence line'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().UpdateTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", map[string]any{
"checklist": map[string]any{"name": "Measure and mark the fence line"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"activity_logs": [
{
"activity": "<string>"
}
],
"actual_hours": null,
"alerts": "<array>",
"assignees": {
"manually_added_account_contacts": "<array>",
"selected_account_contacts": "<array>",
"selected_employees": [
{
"display_order": 123,
"email": "<string>",
"employee_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_labours": [
{
"display_order": 123,
"email": "<string>",
"labour_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_operators": "<array>"
},
"checklist": "<array>",
"code": "<string>",
"completed_at": "<string>",
"completed_by": {
"name": "<string>",
"object": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"due_date": "<string>",
"estimated_hours": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"milestone": null,
"name": "<string>",
"object": "<string>",
"parent_task": null,
"priority": "<string>",
"resource": null,
"sort_order": 123,
"start_after": null,
"start_date": "<string>",
"state": null,
"status": "<string>",
"task_status": "<string>",
"version": 123,
"workflow": null
}
}Send the fields to change under
checklist, as an object, such as a new name. The path takes the task’s id or code. The task comes back under work_task.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The task's id, which starts with wt_, or its code.
The checklist item's id.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The task, under work_task.
Show child attributes
Show child attributes